UpdateBearerExtended

Update the cardholder details.

This is an extended API to update additional details like address and employment details. Use UpdateBearer in case you only need to update details like name and contact details.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction.
profileNumberString1-20 characters✓Profile number linked with this card.
cardidentifierString1-20 characters✓The tracking number of the specified card.
TitleString1-10 characters✓The Title of the cardholder.
InitialsString1-15 characters✓The Initials of the cardholder.
birthdateDate1-20 characters✓Birthday date of the cardholder, in the format yyyMMdd
GenderString1-10 characters✓The gender of the Cardholder
identificationTypeCodeString1-20 characters✓The card number, sequence number or tracking number of the specified card.; ; Permissible Values:; ; South African ID number – 1; ; Foreign ID number – 2; ; Foreign Passport number – 3; ; Enterprise Registration number – 4; ; Foreign Enterprise registration number – 5; ; ISIN number – 6; ; South African trust registration number – 7; ; Foreign trust registration number – 8; ; Internal identification number – 9; ; Temp Res Permit – 10; ; Temporary ID number – 11; ; RSA Passport – 12; ; Other – 13; ; Asylum Seeker Permit Number – 14; ; Work Permit Number – 15; ; Refugee Permit Number – 16; ; Birth Certificates – 17; ; Drivers License – 18
IdIssuedDateDate1-20 characters✓Date the ID was issued to the cardholder, in the format yyyyMMdd
IdExpiryDateDate1-20 characters✓Expiry date of the ID, in the format yyyyMMdd
IdIssuedCountryString1-3 characters✓The country the ID was issued in. The three digit country code as specified here.
ResidenceIndicatorInteger2 digits✓Indicator value for resident type of cardholder.; ; Permissible Values:; ; Resident – 01; ; Temporary Resident – 02; ; NON Resident – 03
EmploymentStatusInteger2 digits✓Numeric mapped value to indicate the type of employment of cardholder.; ; Permissible Values:; ; Not Employed – 01; ; Employed – 02; ; Self Employed – 03; ; Professional – 04; ; Retired – 05; ; Student – 07; ; Others – 08; ; Pensioned- 09; ; Temporary Employed – 10; ; Freelance – 11
HomeLanguageInteger2 digits✓Numeric mapped value to indicate the home language of cardholder.; ; Permissible Values:; ; Afrikaans – 01; ; Ndebele – 02; ; North Sotho – 03; ; South Sotho – 04; ; Swazi – 05; ; Tsonga – 06; ; Tswana – 07; ; Venda – 08; ; Xhosa – 09; ; Zulu – 10; ; English – 11; ; Other – 12; ; Sepedi – 13
EstimatedMonthlyTurnoverInteger2 digits✓The numeric value mapped against Estimated monthly turnover of the cardholder.; ; Permissible Values:; ; None – 01; ; Unknown – 02; ; R 0 to R 4,999 – 03; ; R 5,000 to R 9,999 – 04; ; R 10,000 to R 49,999 – 05; ; R 50,000 or more – 06
ExpectedSourceOfFundsInteger2 digits✓The numeric value mapped against the expected source of funds of the cardholder.; ; Permissible Values:; ; Alimony – 01; ; Bonuses – 02; ; Child Support – 03; ; Commisions – 04; ; Dividend/Interest – 05; ; Pension – 06; ; Rental Income – 07; ; Salary – 08; ; Unknown – 09; ; Loan – 10; ; Donations – 11; ; None – 12; ; Business Activities – 13; ; Others – 14
EstimatedCashTransactionValueInteger2 digits✓The numeric value mapped against the Estimated Cash transaction value of the cardholder.; ; Permissible Values:; ; None – 01; ; Unknown – 02; ; R 0 to R 4,999 – 03; ; R 5,000 to R 9,999 – 04; ; R 10,000 to R 49,999 – 05; ; R 50,000 or more – 06
ExpectedUseOfChannelInteger2 digits✓The numeric value mapped against the expected use of channel of the cardholder.; ; Permissible Values:; ; Suite – 01; ; ATM – 02; ; Cell Phone – 03; ; Internet/EFT – 04; ; Combination – 05
expectedForeignTransactionInteger2 digits✓The numeric value mapped against the expected foreign transaction value of the cardholder.; ; Permissible Values:; ; None – 01; ; Unknown – 02; ; R 0 to R 4,999 – 03; ; R 5,000 to R 9,999 – 04; ; R 10,000 to R 49,999 – 05; ; R 50,000 or more – 06
NationalityString1-10 characters✓Nationality of the cardholder. The three digit country code as specified here.
IndustryIdInteger✓Numeric mapped value for the type of Industry the cardholder is employed in.; ; Industry IDs are present in the downloadable document below:; ; IndustryID_PermissibleValues
IndustryHighLevelInteger2 digits✓The numeric value mapped against the high-level industry cardholder is involved in.; ; Permissible Values:; ; Agriculture, Hunting, Forestry and Fishing – 01; ; Mining and Quarrying – 02; ; Manufacturing – 03; ; Electricity, Gas and Water Supply – 04; ; Construction – 05; ; Wholesale and Retail Trade – 06; ; Transport, Storage and Communication – 07; ; Financial, Insurance, Real Estate and Business – 08; ; Community, Social and Personal – 09; ; Private Exterritorial Organisations – 10
StreetNumberString1-10 characters✓Street number of the cardholder.
StreetNameString1-100 characters✓Street name of the cardholder.
CityTownString1-50 characters✓City or Town name of the cardholder.
ProvinceString1-20 characters✓Province name of the cardholder.
CountryString1-50 characters✓Country name of the cardholder.
AddressPostalCodeString1-9 characters✓Postal code of the cardholder.
SuburbDistrictString1-50 characters✓Suburb or Distriict name of the cardholder.
ResidentialStatusCodeString1-255 characters✓The numeric value mpped against residential status of the cardholder.; ; Permissible Values:; ; Owner – 01; ; Tenant – 02; ; Owned by spouse – 03; ; Living with parents – 04
TransactionIDString1-255 characters✓Transaction ID number generated by the calling client.
TransactionDateDate✓Transaction date generated by the calling client.
ChecksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key.
<?xml version="1.0"?>
<methodCall>
  <methodName>UpdateBearerExtended</methodName>
  <params>
    <param>
      <value>
        <string>0988963840</string>
      </value>
    </param>
    <param>
      <value>
        <string>5790094121</string>
      </value>
    </param>
    <param>
      <value>
        <string>75163739087896</string>
      </value>
    </param>
    <param>
      <value>
        <string>uTitle</string>
      </value>
    </param>
    <param>
      <value>
        <string>uInitials</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>19991227T03:25:54</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>uGender</string>
      </value>
    </param>
    <param>
      <value>
        <int>01</int>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>19991227T03:25:54</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20351227T03:25:54</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>uty</string>
      </value>
    </param>
    <param>
      <value>
        <int>22</int>
      </value>
    </param>
    <param>
      <value>
        <int>00</int>
      </value>
    </param>
    <param>
      <value>
        <int>01</int>
      </value>
    </param>
    <param>
      <value>
        <int>02</int>
      </value>
    </param>
    <param>
      <value>
        <int>03</int>
      </value>
    </param>
    <param>
      <value>
        <int>04</int>
      </value>
    </param>
    <param>
      <value>
        <int>05</int>
      </value>
    </param>
    <param>
      <value>
        <int>06</int>
      </value>
    </param>
    <param>
      <value>
        <string>uat</string>
      </value>
    </param>
    <param>
      <value>
        <int>07</int>
      </value>
    </param>
    <param>
      <value>
        <int>08</int>
      </value>
    </param>
    <param>
      <value>
        <string>uStno</string>
      </value>
    </param>
    <param>
      <value>
        <string>uStnam</string>
      </value>
    </param>
    <param>
      <value>
        <string>uot</string>
      </value>
    </param>
    <param>
      <value>
        <string>uProvince</string>
      </value>
    </param>
    <param>
      <value>
        <string>uty</string>
      </value>
    </param>
    <param>
      <value>
        <string>uCode</string>
      </value>
    </param>
    <param>
      <value>
        <string>uSod</string>
      </value>
    </param>
    <param>
      <value>
        <int>09</int>
      </value>
    </param>
    <param>
      <value>
        <string>txnId</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20240418T03:25:54</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>4A2EEAC72EC2BD539CADCA72E37044A899D16037AA91A9A12CCF315DBDB2DAE5</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

ParametertypeDescription
CardIdentifierStringEcho of the incoming value.; ; (1-12 characters)
ProfileNumberStringEcho of the incoming value.; ; (1-12 characters)
TerminalIDStringEcho of the incoming value.; ; (1-12 characters)
transactionDateDateTransaction date generated by the calling client.
serverTransactionIDStringTransaction ID generated by Paymentology.; ; (1-255 characters)
resultCodeIntegerStatus code indicating transaction result.
resultTextStringText indicating transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>cardIdentifier</name>
            <value>
              <string>751622200000006</string>
            </value>
          </member>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
          <member>
            <name>terminalID</name>
            <value>
              <string>0058263840</string>
            </value>
          </member>
          <member>
            <name>profileNumber</name>
            <value>
              <string>5792074121</string>
            </value>
          </member>
          <member>
            <name>resultText</name>
            <value>
              <string>Approved</string>
            </value>
          </member>
          <member>
            <name>transactionDate</name>
            <value>
              <dateTime.iso8601>20240418T03:25:54</dateTime.iso8601>
            </value>
          </member>
          <member>
            <name>serverTransactionID</name>
            <value>
              <string>5792074121-4A2EEAC72EC2BD539CADCA72E37044A899D16037AA91A9A12CCF315DBDB2DAE5</string>
            </value>
          </member>
          <member>
            <name>transactionID</name>
            <value>
              <string>txnId</string>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>